Package com.sun.jna.platform.win32

## Class Winsvc.ENUM_SERVICE_STATUS

- java.lang.Object
- - com.sun.jna.Structure
  - - com.sun.jna.platform.win32.Winsvc.ENUM_SERVICE_STATUS

Enclosing interface:
  Winsvc

    @FieldOrder({"lpServiceName","lpDisplayName","ServiceStatus"})
    public static class Winsvc.ENUM_SERVICE_STATUS
    extends Structure

Contains the name of a service in a service control manager database and information about that service. It is used by the EnumDependentServices and EnumServicesStatus functions.

### Nested Class Summary

### Nested classes/interfaces inherited from class com.sun.jna.Structure

`Structure.ByReference, Structure.ByValue, Structure.FieldOrder, Structure.StructField`

### Field Summary

Fields
`java.lang.String` `lpDisplayName` A display name that can be used by service control programs, such as Services in Control Panel, to identify the service.
`java.lang.String` `lpServiceName` The name of a service in the service control manager database.
`Winsvc.SERVICE_STATUS` `ServiceStatus` A `Winsvc.SERVICE_STATUS` structure that contains status information for the lpServiceName service.

### Fields inherited from class com.sun.jna.Structure

`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

### Constructor Summary

Constructors
`ENUM_SERVICE_STATUS()`

### Method Summary

### Methods inherited from class com.sun.jna.Structure

`allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### lpServiceName

    public java.lang.String lpServiceName

The name of a service in the service control manager database. The maximum string length is 256 characters. The service control manager database preserves the case of the characters, but service name comparisons are always case insensitive. A slash (/), backslash (\), comma, and space are invalid service name characters.

#### lpDisplayName

    public java.lang.String lpDisplayName

A display name that can be used by service control programs, such as Services in Control Panel, to identify the service. This string has a maximum length of 256 characters. The name is case-preserved in the service control manager. Display name comparisons are always case-insensitive.

#### ServiceStatus

    public Winsvc.SERVICE_STATUS ServiceStatus

A `Winsvc.SERVICE_STATUS` structure that contains status information for the lpServiceName service.

### Constructor Detail

#### ENUM_SERVICE_STATUS

    public ENUM_SERVICE_STATUS()